APICRMActivity TasksGet Activity Tasks
Get Activity Tasks
List the tasks of a CRM activity, ordered by sortOrder then creation time. activityId is required.
Created: September 16, 2026
Updated: September 16, 2026
Overview
GET
https://dashboard.vinsi.ai/api/crm/activity-tasks?activityId={activityId}
Request
Headers
Content-Typestring
x-api-keystring
Query Params
activityIdstring
Example: 5120
Response
[1 item
0:{15 items
"id":int901
"activityId":int5120
"title":string"Email the annual plan quote"
"description":string"Use the standard pricing templ..."
"status":string"Open"
"assignedToId":string"cmexampleuser0000000000002"
"dueBy":string"2026-09-17T17:00:00.000Z"
"createdById":string"cmexampleuser0000000000001"
"completedAt":null
"sortOrder":int1
"lastDueReminderAt":null
"createdAt":string"2026-09-15T20:15:00.000Z"
"updatedAt":string"2026-09-15T20:15:00.000Z"
"AssignedTo":{4 items
"id":string"cmexampleuser0000000000002"
"firstName":string"Sam"
"lastName":string"Rivera"
"email":string"sam.rivera@example.com"
}
"CreatedBy":{4 items
"id":string"cmexampleuser0000000000001"
"firstName":string"Jane"
"lastName":string"Doe"
"email":string"jane.doe@example.com"
}
}
]
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
GET
Headers
Content-Type: *
x-api-key: *
Query Params
activityId: *
Response
No response yet. Click Send to test the API.